using System;
using System.Collections.Generic;
using System.Text;

namespace Hashes
{   
    public interface ITwinHashCodeProvider<T>
    {
        void GetHashCodes(T objToHash, out uint hashCodeA, out uint hashCodeB);
    }

    public interface IHashProvider<T>
    {
        uint GetHashCode(T obj);
        ulong GetHashCodeLong(T obj);
    }
}
